<div style="overflow: auto; max-height: 600px">
	<table>
		<thead>
			<tr>
				{% for header in headers %}
				<th>{{ header }}</th>
				{% endfor %}
			</tr>
		</thead>
		<tbody>
			{% if contestacoes %}
                {% for contestacao in contestacoes %}
                <tr id="contestacao{{ contestacao['idviagem'] }}"
					hx-get="{{ url_for('bikesp._admin_getcontestacao') }}?idviagem={{ contestacao['idviagem'] }}" 
                    hx-trigger="click" 
                    hx-target="#contestacao-detalhes" 
                    hx-on:click="RowClick(event)">
                    <td>{{ contestacao['idviagem'] }}</td>
                    <td>{{ contestacao['data'] }}</td>
                    <td>{{ contestacao['justificativa'] }}</td>
                    <td>{{ contestacao['aprovada'] }}</td>
                </tr>
                {% endfor %}
            {% else %}
                <tr>
                    <td colspan="{{ headers|length }}" 
						style="text-align: center;">
						Nenhuma contestação encontrada
					</td>
                </tr>
            {% endif %}
		</tbody>
	</table>
	<p style="text-align: right; font-size: .9rem; margin-top: .5rem;">Página {{ pagina + 1}}</p>
</div>

<div class="button-container">
	<button type="button" 
			hx-get="{{ url_for('bikesp._admin_listar_contestacoes_pendentes') }}?pagina={{ pagina - 1 }}" 
			hx-target="#contestacoes-table" {% if pagina==0%}disabled{% endif %}>
			Anterior
	</button>
	<button type="button" 
			hx-get="{{ url_for('bikesp._admin_listar_contestacoes_pendentes') }}={{ pagina + 1 }}" 
			hx-target="#contestacoes-table" {% if ultima_pagina%}disabled{% endif %}>
			Próximo
	</button>
</div>
